export declare const useStyles: (data?: {
    isSticky?: boolean;
    isToday: boolean;
    zIndex: number;
} & {
    theme?: {
        widgetWidgetSideBar: 396;
        postSidebar: 400;
        widePostSidebar: 650;
        needSidebar: 550;
        desiredOutcomeSidebar: 1122;
        taskSidebar: 850;
        ticketSidebar: 550;
        surveyResponse: 550;
        followUpQuestion: 550;
        sidebarWidth: {
            readonly standard: 650;
            readonly xSmall: 396;
            readonly small: 550;
            readonly large: 850;
            readonly xLarge1: 1122;
            readonly xLarge2: 1140;
        };
        bg: import("../theme").Colors.bg;
        bgDark: import("../theme").Colors.bgDark;
        black: import("../theme").Colors.black;
        black10: import("../theme").Colors.black10;
        black15: import("../theme").Colors.black15;
        black20: import("../theme").Colors.black20;
        black26: import("../theme").Colors.black26;
        black50: import("../theme").Colors.black50;
        blue1: import("../theme").Colors.blue1;
        blue2: import("../theme").Colors.blue2;
        blue3: import("../theme").Colors.blue3;
        blue4: import("../theme").Colors.blue4;
        blue5: import("../theme").Colors.blue5;
        blue6: import("../theme").Colors.blue6;
        buttonDisabled: import("../theme").Colors.buttonDisabled;
        buttonHover: import("../theme").Colors.buttonHover;
        darkBlue: import("../theme").Colors.darkBlue;
        dodgerBlue: import("../theme").Colors.dodgerBlue;
        gold1: import("../theme").Colors.gold1;
        gold2: import("../theme").Colors.gold2;
        gray1: import("../theme").Colors.gray1;
        gray2: import("../theme").Colors.gray2;
        gray3: import("../theme").Colors.gray3;
        gray4: import("../theme").Colors.gray4;
        gray5: import("../theme").Colors.gray5;
        gray50: import("../theme").Colors.gray50;
        green1: import("../theme").Colors.green1;
        green2: import("../theme").Colors.green2;
        green3: import("../theme").Colors.green3;
        green4: import("../theme").Colors.green4;
        green5: import("../theme").Colors.green5;
        navy1: import("../theme").Colors.buttonHover;
        navy2: import("../theme").Colors.navy2;
        navy3: import("../theme").Colors.navy3;
        navy4: import("../theme").Colors.navy4;
        navy5: import("../theme").Colors.navy5;
        navy50: import("../theme").Colors.navy50;
        red1: import("../theme").Colors.red1;
        red2: import("../theme").Colors.red2;
        red3: import("../theme").Colors.red3;
        red4: import("../theme").Colors.red4;
        red5: import("../theme").Colors.red5;
        white: import("../theme").Colors.white;
        widgetAlert: import("../theme").Colors.widgetAlert;
        widgetAlertHover: import("../theme").Colors.widgetAlertHover;
        widgetBG: import("../theme").Colors.widgetBG;
        widgetBorder: import("../theme").Colors.widgetBorder;
        widgetSentimentNegative: import("../theme").Colors.widgetAlert;
        widgetSentimentNeutral: import("../theme").Colors.widgetSentimentNeutral;
        widgetSentimentPositive: import("../theme").Colors.widgetSentimentPositive;
        yellow1: import("../theme").Colors.yellow1;
        yellow2: import("../theme").Colors.yellow2;
        yellow3: import("../theme").Colors.yellow3;
        yellow4: import("../theme").Colors.yellow4;
        portalLocation: HTMLElement;
        fontFamily: string;
        fontFamilyMono: string;
        textColor: import("../theme").Colors;
        widgetPrimary: import("../theme").Colors;
        widgetSecondary: import("../theme").Colors;
        widgetPrimaryHover: string;
        widgetSecondaryHover: string;
        widgetPrimaryPreSelectHover: string;
        widgetSecondaryPreSelectHover: string;
        textColorOnPrimary: import("../theme").Colors;
        widgetPrimaryTextColor: import("../theme").Colors;
        textColorOnSecondary: import("../theme").Colors;
        widgetSecondaryTextColor: import("../theme").Colors;
        useWhiteOnPrimary: boolean;
        useWhiteOnSecondary: boolean;
    };
}) => import("jss").Classes<string>;
